import crafttweaker.api.item.IItemStack;
import crafttweaker.api.ingredient.IIngredient;
import crafttweaker.api.recipe.FurnaceRecipeManager;

import mods.create.IProcessingRecipeManager;
import mods.create.MechanicalCrafterManager;
import mods.create.CrushingManager;
import mods.create.SplashingManager;
import mods.create.CompactingManager;
import mods.create.FillingManager;
import mods.create.MixingManager;
import mods.create.PressingManager;

//Author: RGB Pixl
//Made for CreateLive 3


//Rezepte entfernen
craftingTable.remove(<item:createaddition:heater>);
craftingTable.remove(<item:create:smart_fluid_pipe>);
craftingTable.remove(<item:createchunkloading:chunk_loader>);
craftingTable.remove(<item:create:schematicannon>);
craftingTable.remove(<item:create:schematic_table>);

craftingTable.removeByModid("buildinggadgets");

craftingTable.removeByRegex(".*coin.*");

blastFurnace.remove(<item:createdeco:cracked_pearl_bricks>);

stoneCutter.remove(<item:createdeco:cracked_pearl_bricks>);

<recipetype:create:mechanical_crafting>.remove(<item:steampowered:alternator>);
<recipetype:create:mechanical_crafting>.remove(<item:createaddition:alternator>);
<recipetype:create:mechanical_crafting>.remove(<item:createaddition:electric_motor>);

<recipetype:create:crushing>.removeByRegex(".*ochrum.*");
<recipetype:create:crushing>.removeByRegex(".*crimsite.*");
<recipetype:create:crushing>.removeByRegex(".*veridium.*");
<recipetype:create:crushing>.removeByRegex(".*asurine.*");

<recipetype:create:splashing>.remove(<item:buildinggadgets:construction_block_dense>);

//Rezepte hinzufügen
craftingTable.addShaped("smart_fluid_pipe", <item:create:smart_fluid_pipe>, [[<item:minecraft:air>, <item:create:brass_sheet>], [<item:minecraft:air>, <item:create:fluid_pipe>], [<item:minecraft:air>, <item:minecraft:redstone>]]);
craftingTable.addShaped("schematic_table", <item:create:schematic_table>, [[<item:minecraft:spruce_log>, <item:alexsmobs:mimicream>, <item:minecraft:spruce_log>], [<item:minecraft:air>, <item:minecraft:smooth_stone>], [<item:minecraft:air>, <item:minecraft:smooth_stone>]]);
craftingTable.addShaped("gadget_building", <item:buildinggadgets:gadget_building>,     [[<item:createaddition:gold_wire>, <item:create:electron_tube>, <item:createaddition:gold_wire>], [<item:createaddition:copper_spool>, <item:create:extendo_grip>, <item:createaddition:copper_spool>], [<item:steampowered:bronze_sheet>, <item:createaddition:accumulator>, <item:steampowered:bronze_sheet>]]);
craftingTable.addShaped("gadget_exchanging", <item:buildinggadgets:gadget_exchanging>, [[<item:createaddition:gold_wire>, <item:create:electron_tube>, <item:createaddition:gold_wire>], [<item:createaddition:copper_spool>, <item:create:extendo_grip>, <item:createaddition:copper_spool>], [<item:alloyed:steel_sheet>, <item:createaddition:accumulator>, <item:alloyed:steel_sheet>]]);


furnace.addRecipe("smelt_coppernugget", <item:create:copper_nugget>, <item:createlive3addon:copper_powder>, 1.0, 30);
furnace.addRecipe("smelt_zincnugget", <item:create:zinc_nugget>, <item:createlive3addon:zinc_powder>, 1.0, 30);

<recipetype:create:mechanical_crafting>.addRecipe("mecha_heater", <item:createaddition:heater>, [[<item:minecraft:air>, <item:createaddition:capacitor>, <item:minecraft:air>], [<item:createaddition:copper_spool>, <item:minecraft:copper_block>, <item:createaddition:copper_spool>], [<item:create:brass_sheet>, <item:create:electron_tube>, <item:create:brass_sheet>]]);
<recipetype:create:mechanical_crafting>.addRecipe("mecha_cannon", <item:create:schematicannon>, [[<item:minecraft:air>, <item:minecraft:air>, <item:minecraft:air>, <item:minecraft:air>, <item:create:fluid_pipe>], [<item:minecraft:spruce_log>, <item:create:iron_sheet>, <item:create:iron_sheet>, <item:create:fluid_pipe>, <item:minecraft:spruce_log>], [<item:alloyed:steel_sheet>, <item:alloyed:steel_sheet>, <item:create:precision_mechanism>, <item:alloyed:steel_sheet>, <item:alloyed:steel_sheet>], [<item:minecraft:spruce_log>, <item:quark:iron_plate>, <item:steampowered:cast_iron_large_cogwheel>, <item:quark:iron_plate>, <item:minecraft:spruce_log>], [<item:minecraft:deepslate_tiles>, <item:minecraft:deepslate_tiles>, <item:minecraft:deepslate_tiles>, <item:minecraft:deepslate_tiles>, <item:minecraft:deepslate_tiles>]]);
<recipetype:create:mechanical_crafting>.addRecipe("mecha_alternator", <item:createaddition:alternator>, [[<item:minecraft:air>, <item:createaddition:capacitor>, <item:create:electron_tube>, <item:createaddition:capacitor>, <item:minecraft:air>], [<item:create:iron_sheet>, <item:createaddition:copper_spool>, <item:createaddition:iron_rod>, <item:createaddition:copper_spool>, <item:create:iron_sheet>], [<item:minecraft:air>, <item:create:iron_sheet>, <item:createaddition:copper_spool>, <item:create:iron_sheet>, <item:minecraft:air>], [<item:minecraft:air>, <item:minecraft:air>, <item:createaddition:tesla_coil>, <item:minecraft:air>, <item:minecraft:air>]]);
<recipetype:create:mechanical_crafting>.addRecipe("mecha_motor", <item:createaddition:electric_motor>, [[<item:minecraft:air>, <item:minecraft:air>, <item:createaddition:tesla_coil>, <item:minecraft:air>, <item:minecraft:air>], [<item:minecraft:air>, <item:create:brass_sheet>, <item:createaddition:copper_spool>, <item:create:brass_sheet>, <item:minecraft:air>], [<item:create:brass_sheet>, <item:createaddition:copper_spool>, <item:createaddition:iron_rod>, <item:createaddition:copper_spool>, <item:create:brass_sheet>], [<item:minecraft:air>, <item:createaddition:capacitor>, <item:create:electron_tube>, <item:createaddition:capacitor>, <item:minecraft:air>]]);
<recipetype:create:mechanical_crafting>.addRecipe("mecha_goldessence", <item:createlive3addon:golden_essence>, [[<item:create:experience_nugget>, <item:createaddition:gold_rod>, <item:minecraft:golden_apple>], [<item:createaddition:gold_rod>, <item:quark:gold_bars>, <item:createaddition:gold_rod>], [<item:minecraft:golden_carrot>, <item:createaddition:gold_rod>, <item:create:experience_nugget>]]);
<recipetype:create:mechanical_crafting>.addRecipe("mecha_nether_ingot", <item:createlive3addon:nether_ingot>, [[<item:minecraft:red_nether_bricks>, <item:minecraft:quartz>, <item:minecraft:red_nether_bricks>], [<item:minecraft:quartz>, <item:quark:blackstone_furnace>, <item:minecraft:quartz>], [<item:minecraft:red_nether_bricks>, <item:minecraft:quartz>, <item:minecraft:red_nether_bricks>]]);

<recipetype:create:compacting>.addRecipe("compact_netherrack", <constant:create:heat_condition:none>, [<item:minecraft:netherrack> * 8], [<item:minecraft:cobblestone> * 8, <item:minecraft:nether_wart>], [<fluid:minecraft:lava> * 10], 100);
<recipetype:create:compacting>.addRecipe("compact_coal", <constant:create:heat_condition:heated>, [<item:minecraft:coal>], [<item:minecraft:charcoal>], [], 100);
<recipetype:create:compacting>.addRecipe("compact_ochrum", <constant:create:heat_condition:none>, [<item:create:ochrum> * 8], [<item:minecraft:stone> * 8, <item:minecraft:orange_dye>], [<fluid:minecraft:water> * 1000], 100);

<recipetype:create:crushing>.addRecipe("crush_lapis", [<item:minecraft:lapis_lazuli> * 2, <item:minecraft:lapis_lazuli> % 50], <item:create:asurine>, 100);
<recipetype:create:crushing>.addRecipe("crush_dia", [<item:minecraft:diamond> % 1], <item:minecraft:coal_block>, 400);
<recipetype:create:crushing>.addRecipe("crush_dirtycopperdust", [<item:minecraft:cobblestone>, <item:createlive3addon:dirty_copper_powder> % 75], <item:create:ochrum>, 400);
<recipetype:create:crushing>.addRecipe("crush_dirtyzincdust", [<item:minecraft:cobblestone>, <item:createlive3addon:dirty_zinc_powder> % 80], <item:createdeco:cracked_pearl_bricks>, 200);

<recipetype:create:splashing>.addRecipe("washing_copperdust", [<item:createlive3addon:copper_powder> % 69], <item:createlive3addon:dirty_copper_powder>, 200);

<recipetype:create:mixing>.addRecipe("mix_zincdust", <constant:create:heat_condition:heated>, [<item:createlive3addon:zinc_powder>], [<item:createlive3addon:dirty_zinc_powder>], [<fluid:minecraft:water> * 250], 200);
<recipetype:create:mixing>.addRecipe("mix_netheringot", <constant:create:heat_condition:superheated>, [<item:createlive3addon:refined_nether_ingot>], [<item:createlive3addon:compressed_nether_ingot>], [<fluid:minecraft:lava> * 250], 200);
<recipetype:create:mixing>.addRecipe("mix_xpnugget", <constant:create:heat_condition:heated>, [<fluid:sophisticatedcore:xp_still> * 1000], [<item:minecraft:emerald>, <item:create:experience_nugget>], [], 200);

<recipetype:create:filling>.addRecipe("fill_pearlbrick", <item:createdeco:cracked_pearl_bricks>, <item:createdeco:pearl_bricks>, <fluid:steampowered:steam>*100, 100);
<recipetype:create:filling>.addRecipe("fill_goldessence", <item:createlive3addon:glazed_golden_essence>, <item:createlive3addon:golden_essence>, <fluid:create:honey>*100, 100);
<recipetype:create:filling>.addRecipe("fill_xpbottle", <item:minecraft:experience_bottle>, <item:minecraft:glass_bottle>, <fluid:sophisticatedcore:xp_still>*1000, 200);
<recipetype:create:filling>.addRecipe("fill_xpnugget", <item:create:experience_nugget>, <item:create:andesite_alloy>, <fluid:sophisticatedcore:xp_still>*250, 200);
<recipetype:create:filling>.addRecipe("fill_xpcalcite", <item:minecraft:calcite>, <item:minecraft:diorite>, <fluid:steampowered:steam>*100, 100);

<recipetype:create:pressing>.addRecipe("press_netheringot", [<item:createlive3addon:compressed_nether_ingot>], <item:createlive3addon:nether_ingot>, 200);

<recipetype:create:sequenced_assembly>.addRecipe(<recipetype:create:sequenced_assembly>.builder("seq_creativeupgrade")
                                                      .transitionTo(<item:storagedrawers:conversion_upgrade>)
                                                      .require(<item:storagedrawers:upgrade_template>)
                                                      .loops(2)
                                                      .addOutput(<item:storagedrawers:creative_storage_upgrade>, 32)
                                                      .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:minecraft:netherite_ingot>))
                                                      .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:minecraft:shulker_shell>))
                                                      .addStep<mods.createtweaker.PressingRecipe>((rb) => rb.duration(500))
                                                      .addStep<mods.createtweaker.CuttingRecipe>((rb) => rb.duration(50)));

<recipetype:create:sequenced_assembly>.addRecipe(<recipetype:create:sequenced_assembly>.builder("seq_netheritenugget")
                                                      .transitionTo(<item:createlive3addon:unfinished_netherite>)
                                                      .require(<item:alloyed:steel_ingot>)
                                                      .loops(1)
                                                      .addOutput(<item:createdeco:netherite_nugget>, 32)
                                                      .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:createlive3addon:refined_nether_ingot>))
                                                      .addStep<mods.createtweaker.DeployerApplicationRecipe>((rb) => rb.require(<item:createlive3addon:glazed_golden_essence>))
                                                      .addStep<mods.createtweaker.FillingRecipe>((rb) => rb.require(<fluid:steampowered:steam>*1000))
                                                      .addStep<mods.createtweaker.PressingRecipe>((rb) => rb.duration(500))
                                                      .addStep<mods.createtweaker.FillingRecipe>((rb) => rb.require(<fluid:createaddition:seed_oil>*20))
                                                      .addStep<mods.createtweaker.PressingRecipe>((rb) => rb.duration(200)));


//Fix Conflicts
craftingTable.remove(<item:quark:gold_bars>);
craftingTable.addShaped("quark_gold_bar", <item:quark:gold_bars>, [[<item:minecraft:gold_ingot>, <item:minecraft:gold_nugget>, <item:minecraft:gold_ingot>], [<item:minecraft:gold_ingot>, <item:minecraft:gold_ingot>, <item:minecraft:gold_ingot>]]);

craftingTable.remove(<item:quark:potato_crate>);
<recipetype:create:mechanical_crafting>.addRecipe("quark_potato_crate", <item:quark:potato_crate>, [[<item:minecraft:potato>, <item:minecraft:potato>, <item:minecraft:potato>], [<item:minecraft:potato>, <item:minecraft:potato>, <item:minecraft:potato>], [<item:minecraft:potato>, <item:minecraft:potato>, <item:minecraft:potato>]]);

craftingTable.remove(<item:quark:carrot_crate>);
<recipetype:create:mechanical_crafting>.addRecipe("quark_carrot_crate", <item:quark:carrot_crate>, [[<item:minecraft:carrot>, <item:minecraft:carrot>, <item:minecraft:carrot>], [<item:minecraft:carrot>, <item:minecraft:carrot>, <item:minecraft:carrot>], [<item:minecraft:carrot>, <item:minecraft:carrot>, <item:minecraft:carrot>]]);

craftingTable.remove(<item:quark:beetroot_crate>);
<recipetype:create:mechanical_crafting>.addRecipe("quark_beetroot_crate", <item:quark:beetroot_crate>, [[<item:minecraft:beetroot>, <item:minecraft:beetroot>, <item:minecraft:beetroot>], [<item:minecraft:beetroot>, <item:minecraft:beetroot>, <item:minecraft:beetroot>], [<item:minecraft:beetroot>, <item:minecraft:beetroot>, <item:minecraft:beetroot>]]);

craftingTable.remove(<item:farmersdelight:potato_crate>);
craftingTable.addShaped("farmersdelight_potato_crate", <item:farmersdelight:potato_crate>, [[<item:minecraft:potato>, <item:minecraft:potato>, <item:minecraft:potato>], [<item:minecraft:potato>, <item:minecraft:potato>, <item:minecraft:potato>], [<item:minecraft:potato>, <item:minecraft:potato>, <item:minecraft:potato>]]);

craftingTable.remove(<item:farmersdelight:carrot_crate>);
craftingTable.addShaped("farmersdelight_carrot_crate", <item:farmersdelight:carrot_crate>, [[<item:minecraft:carrot>, <item:minecraft:carrot>, <item:minecraft:carrot>], [<item:minecraft:carrot>, <item:minecraft:carrot>, <item:minecraft:carrot>], [<item:minecraft:carrot>, <item:minecraft:carrot>, <item:minecraft:carrot>]]);

craftingTable.remove(<item:farmersdelight:beetroot_crate>);
craftingTable.addShaped("farmersdelight_beetroot_crate", <item:farmersdelight:beetroot_crate>, [[<item:minecraft:beetroot>, <item:minecraft:beetroot>, <item:minecraft:beetroot>], [<item:minecraft:beetroot>, <item:minecraft:beetroot>, <item:minecraft:beetroot>], [<item:minecraft:beetroot>, <item:minecraft:beetroot>, <item:minecraft:beetroot>]]);
